# License schema

# --- !Ups

CREATE TABLE backups (
  id int(11)  NOT NULL AUTO_INCREMENT,
  filename    VARCHAR(255) NOT NULL,
  created_at  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  finished_at TIMESTAMP,
  user_id     INT(11)      NOT NULL,
  conn_id     INT(11)      NOT NULL,
  db          VARCHAR(255) NOT NULL,
  PRIMARY KEY (id)
);

# --- !Downs

DROP TABLE IF EXISTS backups;
