define(["jquery"], function ($) {
  // fix dropdown position/visiblity in case parent has overflow:auto or
  // overflow:hidden, e.g., inside of panels
  var dropdownMenu;
  $(window).on('show.bs.dropdown', function(e) {
    dropdownMenu = $(e.target).find('.dropdown-menu');
    var btnOffset = $(e.relatedTarget).offset();
    var btnHeight = $(e.relatedTarget).outerHeight();
    var menuWidth = dropdownMenu.outerWidth();
    var btnWidth = $(e.relatedTarget).outerWidth();
    $('body').append(dropdownMenu.detach());

    dropdownMenu.css({
      display: "block",
      top: btnOffset.top + btnHeight,
      left: btnOffset.left - menuWidth + btnWidth,
      right: "auto"
    });
  });
  $(window).on('hide.bs.dropdown', function(e) {
    $(e.target).append(dropdownMenu.detach());
    dropdownMenu.hide();
  });
});
