define(["sprintf"], function (sprintf) {
    String.prototype.format = function (a) {
        return sprintf.sprintf(this, a);
    };
    String.prototype.extractSetValues = function () {
      var rawValuesStr = this.match(/^(set|enum)\((.+)\)/i);
      if (!rawValuesStr || rawValuesStr.length !== 3) {
        return null;
      }
      var rawValues = rawValuesStr[2].split(/,(?=(?:(?:[^']*'){2})*[^']*$)/i);
      return _.map(rawValues, function (val) {
        return _.trim(val, "'\" ");
      });
    };
});